<template>
    <div>
        <NavLinks :current="textContent.nav.general" />
        <br />
        <template v-if="isAuth">
            <p>Добро пожаловать {{ user.name }}!</p>
            <template v-if="$gates.hasRole(roles.USER)">
                <p>
                    Вы можете создавать и редактировать Вашу Анкету Абитуриента.
                </p>
                <router-link :to="{ name: 'QuestView' }"
                    >Перейти к Анкете</router-link
                ></template
            >

            <template
                v-if="
                    $gates.hasAnyRole(
                        [roles.ADMINISTRATOR, roles.MODERATOR].join('|')
                    )
                "
            >
                <p>
                    У вас есть доступ ко всем Анкетам абитуриентов и право на
                    редактирование и одобрение Анкет.
                </p>
                <router-link :to="{ name: 'QuestList' }">{{
                    textContent.nav.card_list
                }}</router-link>
                <br />
                <router-link
                    v-if="$gates.hasRole(roles.ADMINISTRATOR)"
                    :to="{ name: 'AdminDump' }"
                    >{{ textContent.nav.admin }}</router-link
                ></template
            >
        </template>
    </div>
</template>

<script>
import { mapGetters, mapState } from "vuex";
import { roles } from "@/utils/gates";
import NavLinks from "@/components/NavLinks";
import { textContent } from "@/utils/textContent";

export default {
    name: "Welcome",
    components: { NavLinks },
    data: () => ({ roles, textContent }),
    computed: {
        ...mapGetters("app", ["isAuth"]),
        ...mapState("app", ["user"]),
    },
};
</script>

<style scoped></style>
